#!/usr/bin/bash

CERT_SYSTEM_HAS=`cat /etc/pam.d/system-auth | grep auth | grep required | grep pam_genpem_sig_and_verify.so`
CERT_WD_HAS=`cat /etc/pam.d/password-auth | grep auth | grep required | grep pam_genpem_sig_and_verify.so`

OTPW_SYSTEM_HAS=`cat /etc/pam.d/system-auth | grep auth | grep sufficient | grep pam_otpw.so`
OTPW_PWD_HAS=`cat /etc/pam.d/password-auth | grep auth | grep sufficient | grep pam_otpw.so`

UKEY_SYSTEM_HAS=`cat /etc/pam.d/system-auth | grep auth | grep sufficient | grep pam_nfsukey_verify.so`
UKEY_PWD_HAS=`cat /etc/pam.d/password-auth | grep auth | grep sufficient | grep pam_nfsukey_verify.so`


if [ "$CERT_SYSTEM_HAS" ] && [ "$CERT_SYSTEM_HAS" ];then
	echo "1"
elif [ "$OTPW_SYSTEM_HAS" ] && [ "$OTPW_SYSTEM_HAS" ];then
	echo "2"
elif [ "$UKEY_SYSTEM_HAS" ] && [ "$UKEY_SYSTEM_HAS" ];then
	echo "3"
else
	echo "0"
fi
