#!/usr/bin/bash

#返回0 非国密 gpg签名验签
#返回1 国密签名验签

GMFILE="/etc/rpm/.rpmconfig.cfg"

# 检查 /etc/rpm/.rpmconfig.cfg 文件是否存在
if [ -f "${GMFILE}" ]; then
    # 文件存在，检查 rpmgmkey= 是否存在
    if grep -q "rpmgmkey=" ${GMFILE}; then
        # 获取 rpmgmkey 的值
        value=$(grep -oP 'rpmgmkey=\K\d+' ${GMFILE})
        case $value in
            1)
                echo "true"
                exit 1
                ;;
            *)
                echo "false"
                exit 0
                ;;
        esac
    else
        echo "false"
        exit 0
    fi
else
    echo "false"
    exit 0
fi

