#!/usr/bin/bash

script_path=$(dirname $(readlink -f $0))
KEYPARAM=vaspace
OLDVALUE=`bash $script_path/get_"$KEYPARAM".sh`

VALUE=$1
CONFIG_PATH=/etc/sysctl.conf

if [ "$VALUE" = "true" ];then
        sed -i "/^\s*randomize_va_space*=*/d" $CONFIG_PATH
        echo "kernel.randomize_va_space=2" >> $CONFIG_PATH
	sysctl -w kernel.randomize_va_space=2
else
	sysctl -w kernel.randomize_va_space=1
        sed -i "/^\s*randomize_va_space*=*/d" $CONFIG_PATH
fi



